package jtrek.rmi;

import java.rmi.*;
import java.rmi.activation.*;

class Deactivator extends Thread {

  ActivationID aid;
  Remote server;


  Deactivator( Remote rem, ActivationID id )
  {
    aid = id;
    server = rem;
  }


  public void run()
  {
    try {
      Activatable.unexportObject( server, true );
      Activatable.inactive( aid );                               // (B)
    } catch( Exception e ) { e.printStackTrace(); }
  }
}
